Community
AutoCAD Produktfamilie - Deutsch
Das Forum für alle Fragen zu AutoCAD, LT, Architecture, Electrical, Map 3D, Mechanical, MEP, Plant 3D, Raster Design, Web App, sowie Autodesk Civil 3D und Advance Steel.
abbrechen
Suchergebnisse werden angezeigt für 
Anzeigen  nur  | Stattdessen suchen nach 
Meintest du: 

AutoCAD Mechanical 2020.0.1. - Abrunden vereinfachen

10 ANTWORTEN 10
Antworten
Nachricht 1 von 11
sascha.krahwinkelVWMN3
392 Aufrufe, 10 Antworten

AutoCAD Mechanical 2020.0.1. - Abrunden vereinfachen

Hallo liebe Community,
ich verschiebe ca. 100mal am Tag Linien und möchte diese mit dem selben Radius neu abrunden.
Bsp.: ich habe 2 Linien, die um 90° versetzt sind. Diese sind mit einem 2mm Radius verbunden. Nun verschiebe ich die horizontale Linie um 1mm nach oben. Dann halte ich mit der Maus auf den Radius um die Größe zu sehen. Ich lösche ihn und verrunde neu mit einem 2mm Radius.
Kann man einen festen Button bauen welcher automatisch den Radius ließt, kopiert, löscht und in der nähe neu setzt?
Danke im vorraus,

Sascha

Tags (1)
10 ANTWORTEN 10
Nachricht 2 von 11

Hi,

 

zuerst würde ich dann statt schieben einer Linie den Befehl _STRETCH verwenden und Linie + Bogen innerhalb des Strecken-Fensters wählen.

 

Andere Variante könnte sein, wenn es immer um Linie-Bogen-Linie geht, einen dynamischen Block zu verwenden.

 

Nächste Variante wäre mit Parametrik zu arbeiten und hier den Bogen zu den Linien "tangential anzukleben" und den Radius des Bogen mit 2 festzuhalten.

 

- alfred -

------------------------------------------------------------------------------------
Alfred NESWADBA
Ingenieur Studio HOLLAUS ... www.hollaus.at ... blog.hollaus.at ... CDay 2024
------------------------------------------------------------------------------------
(not an Autodesk consultant)
Nachricht 3 von 11

Hllo @sascha.krahwinkelVWMN3 ,

 

würdest du uns Bitte mal Mitteilen mit welcher AutoCAD Version du arbeitest?

 

Und dann wäre ein Screenshot von dem was du machen willst nicht schlecht.

Wie @Alfred.NESWADBA schon geschrieben hat gibt es dafür mehrere Möglichkeiten.

Die Situation sollte klar sein um helfen zu können.

 

Gruss

Volker Brunke
staatl. gepr. Bautechniker






AutoCAD2023 mit SOFiCAD2023 & REVIT 2023

Nachricht 4 von 11

Ich arbeite viel mit Stretch, aber manchmal sind große Radien dabei oder Schrägen, wodurch ich schieben muss, um den Radius/Winkel nicht zu verändern.
Wenn ich nicht senkrecht schiebe/streche, ändert sich auch die Linienlänge, wodurch anheften wegfällt oder?
Und wie gesagt sind es manchmal großer Radius/Bogen/Linie. oder Radius/Bogen/Radius.

Ich nutze AutoCAD Mechanical 2020.0.1.

Anbei mal eine Beispielhafte Situation, was ich tue. Diese Konstruktion nach links verschoben und dann alte Radien löschen und neu verrunden. Bei verschiedensten Konstruktionen mache ich das auf 20 verschiedene Arten 100 mal am Tag.
Danke wiedermal

Nachricht 5 von 11
cadffm
als Antwort auf: sascha.krahwinkelVWMN3

Ein Bild zur Situation war bitter nötig 😉

 

Ja, sowas kann man sehr wohl machen, aber da deine Beschreibung etwas undeutlich geschrieben ist - bitte erkläre es noch einmal im Detail wie der perfekte Ablauf sein sollte

und für den Fall das dies nicht so simpel ist, wie der zweitbeste Workflow wäre.

(Tip: Aber hier wäre auch ein DWG Beispiel sinnvoll, vorher -> nachher, einfach um es potentiellen Helfern so einfach wie möglich zu machen.

Das erhört die Teilnehmer und die Erfolgschance für dich).

 

Hier mal ein ganz einfaches Beispiel, nur damit du am Ball bleibst:

Kopieren die nächsten 7 Zeilen in deine Befehlszeile[F2]

und starte die Programmerweiterung mit dem neuen Befehl: Abrunden++:

(defun c:Abrunden++ (/ e fr)  ; wie Abrunden+, jedoch wird das Radius-Bogen Objekt gelöscht
 (if (and (setq e (car(entsel "Für Radius, Objekt wählen: ")))(cdr(assoc 40 (entget e)))(setq fr (getvar 'filletrad))(setvar 'filletrad (cdr(assoc 40 (entget e)))))
     (command "CMDECHO" 1 "_.FILLET" PAUSE PAUSE "_.FILLETRAD" fr "_.ERASE" e "")
 )
 (princ)
)

 

Dieses Beispiel kann weder mit gesperrten Layern umgehen und auch nicht mit dem Fall du startest eine Option im Abrunden Befehl, ein ESC würde ebenso schlecht sein wie der Versuch den Radius von einem Polylinien-Bogen zu ermitteln.

Der Dienstleister deines Vertrauen kann dir alles mögliche an Funktionen erstellen,

bis hin zu 1-Klick Lösungen (wenn möglich).

- Sebastian -
Nachricht 6 von 11
sascha.krahwinkelVWMN3
als Antwort auf: cadffm

So hab ich mir das vorgestellt! Das die Grundidee stimmt! Wenn man da noch den Befehl "ArAtPoint" anstatt beide Linien anwählen nimmt sollte es perfekt sein und so wie ich es mir vorgestellt habe. Geht das "einfach" und führt zum gewünschten Ziel?

Danke euch vielmals!

Nachricht 7 von 11
cadffm
als Antwort auf: sascha.krahwinkelVWMN3

Ich kenne mich zwar in Mechanical nicht aus, bin aber dennoch überrascht nicht herausfinden zu können wofon du sprichst.

Bitte poste einen Link zur entsprechenden Hilfeseit,

einen Screenshot von der Mechanical-Oberfäche mit Markierung wo du drückst - oder den detaillierten Befehlsablauf,

angefangen mit dem Befehlsnamen.

 

PS: Das was ich als Beispiel gepostet hatte, das ist in Mechanical schon als Standard-Funktion enthalten (ok, das löschen des Radius-Quellobjektes nicht, aber das Radius-Von-Objekt-übernehmen übernehmen sehr wohl!

 

 

EDIT:

" anstatt beide Linien anwählen"

Abgesehen von der mir unbekannten Funktion(oder ist das nur deine "Wunschfunktion"?' Dann beschreibe die bitte im Detail!

 

Mir ist einfach nicht klar woher der Computer wissen soll welche beiden Objekte angepasst und

durch den neuen Bogen verbunden werden soll.

Also bitte besonders auf diese Frage eingehen damit ich es verstehe. Wo ist dem Computer bekannt welche beiden Objekte verbunden werden sollen?

- Sebastian -
Nachricht 8 von 11
sascha.krahwinkelVWMN3
als Antwort auf: cadffm

Ok. Ich kann den Befehl auch nicht finden. Dachte es wäre ein Standardbefehl, aber ist anscheinend von einem Kollegen angelet worden. Dann Screenshot ich mal den Ablauf.

Zusätzlich hab ich mal zwei Standardsituationen als Beispiel in einer DWG-Datei beschrieben. Ich denke warum ich das tue ist irrelevant, aber genau soetwas mache ich oft.

 

Nachricht 9 von 11
cadffm
als Antwort auf: sascha.krahwinkelVWMN3

Ja das stammt wohl eher von einem Laien, wobei auch nicht Autodesks Funktionen ab und an ihrem eigenen Syntax nicht entsprechend 🙄

 

Wenn du einen Kollegen hast der "ArAtPoint" erschaffen hat, dann kann er auch deine Wünsche umsetzen!

Ich würde den Kollegen und/oder Cadmin suchen gehen.

 

Kurz: Ja es geht, Aufwand überschaubar - aber da mir zu deinen Aufgaben 3-4 Variationen einfallen,

werden aus 10min schnell mal Stunden - aber dann hat man gleiche einen kleinen Werkzeugkasten

mit wirklich scharfem und starken Werkzeug.

 

Ich nehme an "AR at Point" erstellt einen Objekt-Auswahlsatz über Zaun oder Kreuzenwahl um den gewählten

Punkt, denn diese Objektwahlmethode gibt es in AutoCAD nicht.

Frage: Was macht der Befehl wenn sich dort DREI Linien treffen, oder nur EINE vorhanden ist?

 

 

 

nicht so wichtig (für uns):

>>" Ich denke warum ich das tue ist irrelevant"

Das ist ja immer die Sache mit dem Anfragenden: Das kann richtig sein, es kann aber auch eine völlig falsche Einschätzung sein!

Der eine kennt alle Ziele und Hintergründe, der andere hat (ggf.) das weitaus bessere wissen - oder einfach nur einen genial passenden Gedanken dazu.

Da Gedanken schlecht übermittelt werden können und der Frager ja ohnehin die Fakten kennt,

bleibt als Option dem Helfer soviel wie möglich zu vermitteln.

 

Aber: Ich denke auch, in deinem Fall hier bringt das nicht soviel.

Es sei denn Alfred hatte schon das perfekte Stichwort gegeben: Geometrische&Bemaßungsabhängigkeiten bzw. Parameteraktionen in dynamischen Blöcken.

Wenn du dich damit auskennst, gut - falls nicht, schau dir die drei Digne einmal genau an

um dann zu entscheiden ob das Zielführend sein könnte.

(wir können es derzeit schlecht abschätzen 😉 )

 

- Sebastian -
Nachricht 10 von 11
sascha.krahwinkelVWMN3
als Antwort auf: cadffm

Natürlich ist er kein Programmierer, sondern ein Laie. Er ist einfach ein interessierter Mitarbeiter der genau wie ich Arbeitsabläufe vereinfachen will.
Ich frage speziell hier, damit ich eine Lösung vorlegen kann und nicht ein Problem vorbringe, was unnötig viel Zeit kostet und am Ende vielleicht keinen Erfolg bringt, weil man sich im Problem verliert und keine gute Lösung findet.

Wenn du weißt wie es mit einem Objekt-Auswahlsatz über Zaun- oder Kreuzenauswahl geht, dann kann man doch bestimmt die nächsten zwei Linien neben dem Radius automatisch auswählen, wie in dem "ArAtPoint"-Befehl oder? Weil es werden ja immer die neben dem Radius sein müssen.

Das muss ja auch nicht mit 3000 wenns und abers sein. Aber selbst ohne if verknüpfungen sollte es in 90+% der Fälle klappen, einfach damit, falls du mir weiterhilfst, nicht Stunden sondern nur ein paar Minuten opfern musst.

Wenn sich drei linien in einem Punkt treffen nimmt der Befehl die äußeren und bei einer Linie sucht er sich automatisch eine weit entfernte.

Wenn du wissen willst warum umreiße ich es kurz :

Bei Aluminiumstrangpressprofilen mit langen "Armen" biegen diese sich je nach Form nach Innen/Außen (in meinem Drehbeispiel eigentlich nach rechts), weshalb ich den Arm in die andere Richtung ausrichte, da es meistens einfacher ist ein Maß in Form von mm zu messen als einen Winkel.

Geometrische & Bemaßungsabhängigkeiten kenne ich, aber die bringen mir hier nichts, da sich die längen von Strecken immer ändern, was der Abrunden-Befehl ja wunderschön umsetzt.

Über Parameteraktionen werde ich mich schlau machen.

Nachricht 11 von 11
cadffm
als Antwort auf: sascha.krahwinkelVWMN3

>>Natürlich ist er kein Programmierer

Ich meinte damit hauptsächlich: Man kann erkennen das es sich nicht um einen AutoDESK-Befehl handelt, weil die "Syntax" nicht dem gewöhnlichen der Funktionen entspricht,

man also erkennen kann dass dies wohl von einem Anwender stammt (egal ob selbst oder Netzfundstück).

Damit untermauerte ich deine Annahme das es von einem Kollegen stammen wird.

 

>>Wenn du weißt wie es mit einem Objekt-Auswahlsatz über Zaun- oder Kreuzenauswahl geht, dann kann man doch

>>bestimmt die nächsten zwei Linien neben dem Radius automatisch auswählen, wie in dem "ArAtPoint"-Befehl oder?

Automatisch geht nichts(so eine Funktion gibt es nicht), man muß sich so eine Funktion programmieren um diese benutzen zu können. Aber das es geht siehst du ja bei ArAtPoint..

 

>>Weil es werden ja immer die neben dem Radius sein müssen.

Wenn man für sich bzw. das Programm die Regel aufstellt:
1. Suche in einem Bereich von X-Einheiten um den Bogen nach Linien
2. und wenn nur 2 Linien gefunden werden (wahlweise kann die Funktion die Suche nach Linien auf einen bestimmten Layer einschränken)
3. dann lösche den Bogen und wende Abrunden auf die beiden Linien an, lösche den zuvor angeklickten Bogen.
Dann wäre die Sache rund.

>>Das muss ja auch nicht mit 3000 wenns und abers sein.

DAS ist halt einer der Unterschiede zwischen vielen "Lösungen für mich selbst" und einer professionelle(re)n

Programmerweiterung welche man guten Gewissens Dritten in die Hand gibt.

Aber auch mit 2997 WENNs weniger muß man schon genug Dinge handeln welche du nicht "sehen" kannst,

zum Beispiel ist es beim abrunden wichtig WO ein Objekt ausgewählt wurde.

All das habt Ihr schon in ArAtPoint drin wie es scheint.

 

>>Wenn sich drei linien in einem Punkt treffen nimmt der Befehl die äußeren und bei einer Linie sucht er sich automatisch eine weit entfernte.

DAS ist schon "sehr aufwändig" im Sinne von: Nichts für Anfänger und benötigt etwas mehr Zeit.

Mit dieser Info bin ich mir jetzt aber sicher, falls ArAtPoint von deinem Kollegen geschrieben wurde - dann kann er auch alle deine Wünsche umsetzen und es ist eine Kleinigkeit für ihn.

Mein einfaches Beispiel oben welche 3000 WENNs nicht berücksichtig ist davon Meilenweit entfernt.

 

>>Wenn du wissen willst warum umreiße ich es kurz :

Danke für die Erklärung.

 

 

- Sebastian -

Sie finden nicht, was Sie suchen? Fragen Sie die Community oder teilen Sie Ihr Wissen mit anderen.

In Foren veröffentlichen